{ config, pkgs, lib, modulesPath, ... }:

{
  imports = [
    ../../config/lxc-container.nix
    ../../config/shared.nix
  ];

  networking.hostName = "nixbert"; # Define your hostname.
  networking.useNetworkd = false;

  services.openssh = {
    enable = true;
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "19.03"; # Did you read the comment?
}
